Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.gmicloud.ai/llms.txt

Use this file to discover all available pages before exploring further.

Model ID
bria-video-remove-background

Bria Video Remove Background API Usage Guide

Overview

Bria Video Remove Background is Bria’s new video editing model used to remove backgrounds. It utilizes an input video to isolate the subject by removing or replacing the background with a specified color or transparency.

Authentication

All API requests require authentication using an API key. Include your API key in the Authorization header:
Authorization: Bearer YOUR_API_KEY

Submit Video Generation Request

Base URL

https://console.gmicloud.ai

Endpoint

POST /api/v1/ie/requestqueue/apikey/requests

Request Format (cURL)

curl -X POST "https://console.gmicloud.ai/api/v1/ie/requestqueue/apikey/requests" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "bria-video-remove-background",
    "payload": {
      "video": "https://example.com/input_video.mp4",
      "preserve_audio": true,
      "background_color": "Transparent",
      "output_container_and_codec": "webm_vp9"
    }
  }'

Request Parameters

ParameterTypeRequiredDescriptionDefaultConstraints
videostringYesInput video URL.-Max 60s; Max resolution 16000x16000 (16K).
preserve_audiobooleanNoWhether to keep audio or not.true-
background_colorenumNoColor for the background.TransparentSee below.
output_container_and_codecenumNoFormat of the output video.mp4_h264See below.
Background Color Options: Transparent, Black, White, Gray, Red, Green, Blue, Yellow, Cyan, Magenta, Orange. Output Options: mp4_h264, mp4_h265, webm_vp9, mov_h265, mov_proresks, mkv_h264, mkv_h265, mkv_vp9, gif.

Important: Transparent Background Requirement

If background_color is set to Transparent, the selected output_container_and_codec must support alpha channels.

Output Transparency Support by Preset:

Alpha Supported:
  • webm_vp9
  • mov_proresks
  • mkv_vp9
  • mkv_raw
  • gif
  • mov_h265 (when encoded as HEVC with Alpha)
Alpha Not Supported:
  • mp4_h264
  • mp4_h265
  • mkv_h264
  • mkv_h265
  • avi_h264

Check Request Status

Endpoint

GET /api/v1/ie/requestqueue/apikey/requests/{request_id}

Example Response

\{
  "request_id": "550e8400-e29b-41d4-a716-446655440000",
  "org_id": "bria",
  "model": "bria-video-remove-background",
  "status": "success",
  "payload": \{
    "video": "https://example.com/input_video.mp4",
    "preserve_audio": true,
    "background_color": "Transparent"
  \},
  "outcome": \{
    "video_url": "https://storage.googleapis.com/bucket/generated-video.webm"
  \},
  "created_at": 1750442925,
  "updated_at": 1750442930
\}

Request Status Values

StatusDescription
queuedRequest is waiting to be processed
processingVideo generation is in progress
successVideo generation completed successfully
failedVideo generation failed
cancelledRequest was cancelled